Update product (PATCH semantics)
PATCH
/admin/v1/products/{id}
const url = 'https://your-store.example.com/admin/v1/products/example';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"title":"example","slug":"example","description":"example","status":"draft","seoTitle":"example","seoDescription":"example","isBundle":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://your-store.example.com/admin/v1/products/example \ --header 'Content-Type: application/json' \ --data '{ "title": "example", "slug": "example", "description": "example", "status": "draft", "seoTitle": "example", "seoDescription": "example", "isBundle": true }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string